<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:image="http://www.google.com/schemas/sitemap-image/1.1" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9">
    {% for url in urls %}
        <url>
            <loc>{{ site_url~url.loc }}</loc>

            {% if url.lastmod is defined %}
                <lastmod>{{url.lastmod|date("c")}}</lastmod>
            {% endif %}

            {% if url.changefreq is defined %}
                <changefreq>{{ url.changefreq }}</changefreq>
            {% endif %}

            {% if url.priority is defined %}
                <priority>{{ url.priority }}</priority>
            {% endif %}
        </url>
    {% endfor %}
</urlset>